Bug 634741 - AttributeError: 'YumConf' object has no attribute 'config_file_age'
Summary: AttributeError: 'YumConf' object has no attribute 'config_file_age'
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-16 20:52 UTC by Robert Hailey
Modified: 2013-01-10 06:13 UTC (History)
4 users (show)

(edit)
Clone Of: 609247
(edit)
Last Closed: 2010-12-03 12:28:00 UTC


Attachments (Terms of Use)

Description Robert Hailey 2010-09-16 20:52:43 UTC
Surprisingly, this bug is also present in the current Fedora-12 / updates:

pungi-2.0.20-1.fc12.noarch
yum-3.2.28-3.fc12.noarch
anaconda-12.46-2.fc12.i686


+++ This bug was initially created as a clone of Bug #609247 +++

Description of problem: pungi aborts on AttributeError 'config_file_age' w.r.t. umConf.


Version-Release number of selected component (if applicable):
pungi-2.1.1-1.fc14.noarch
yum-3.2.27-17.fc14.noarch
anaconda-14.9-1.fc14.x86_64


How reproducible: every time


Steps to Reproduce:
1./usr/bin/pungi -c /usr/share/pungi/rawhide-fedora.ks --destdir=/ext4/Fedora14 --name Fedora --ver 14 --nosource
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/pungi", line 216, in <module>
    main()
  File "/usr/bin/pungi", line 86, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 165, in _inityum
    self.ayum.repos.setCacheDir(self.ayum.conf.cachedir)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 814, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 539, in _getRepos
    self.getReposFromConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 418, in getReposFromConfig
    repo_config_age = self.conf.config_file_age
AttributeError: 'YumConf' object has no attribute 'config_file_age'


Expected results: no AttributeError


Additional info:

--- Additional comment from jkeating@redhat.com on 2010-06-29 19:03:52 EDT ---

Will be fixed in the next build of pungi, which is going on now.

--- Additional comment from thatch45@gmail.com on 2010-08-12 15:59:50 EDT ---

I am seeing what appears to be the same problem with pungi on fedora 13:

pungi-2.0.21-1.fc13.noarch
yum-3.2.28-1.fc13.noarch
anaconda-13.42-1.fc13.x86_64

pungi -c ais.ks --destdir=/srv/ --name Fedora --ver 14 --nosource

Traceback (most recent call last):
  File "/usr/bin/pungi", line 216, in <module>
    main()
  File "/usr/bin/pungi", line 86, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 165, in _inityum
    self.ayum.repos.setCacheDir(self.ayum.conf.cachedir)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 814, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 539, in _getRepos
    self.getReposFromConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 418, in getReposFromConfig
    repo_config_age = self.conf.config_file_age
AttributeError: 'YumConf' object has no attribute 'config_file_age'

Happens every time, I can't get pungi to run.

--- Additional comment from jkeating@redhat.com on 2010-08-13 01:13:45 EDT ---

Guess I need to backport this for f13.

--- Additional comment from sergio@sergiomb.no-ip.org on 2010-08-30 17:46:03 EDT ---

(In reply to comment #3)
> Guess I need to backport this for f13.

yes , I got this error on f13

Comment 1 Jesse Keating 2010-09-17 08:07:42 UTC
Grr, looks like yum was updated there too.  I'll get on this when I'm back from FUDCon Zurich.

Comment 2 Bug Zapper 2010-11-03 10:05:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Robert Hailey 2010-11-03 15:37:38 UTC
What extra info do you need, Jesse?

Comment 4 Jesse Keating 2010-11-03 17:17:32 UTC
Didn't need extra info, need extra time :)  Now that F14 is out I should be able to get to this.

Comment 5 Jesse Keating 2010-11-03 20:57:48 UTC
John, please don't change the version.  It is fixed in later versions, just not in 12.

Comment 6 John Reiser 2010-11-03 21:03:21 UTC
I never touched this BZ, and this is verified by the history https://bugzilla.redhat.com/show_activity.cgi?id=634741

Comment 7 Robert Hailey 2010-11-03 21:20:57 UTC
He was addressing John Poelstra.

Comment 8 Fedora Update System 2010-11-04 21:18:17 UTC
pungi-2.0.20.1-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/pungi-2.0.20.1-1.fc12

Comment 9 Fedora Update System 2010-11-05 04:44:56 UTC
pungi-2.0.20.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pungi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pungi-2.0.20.1-1.fc12

Comment 10 Bug Zapper 2010-12-03 12:28:00 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.